Debian Wheezy packages update error for version 5.6.19-67.0 when using dotdeb repo

Bug #1336658 reported by Paweł Szajna on 2014-07-02
38
This bug affects 6 people
Affects Status Importance Assigned to Milestone
Percona Server moved to https://jira.percona.com/projects/PS
Fix Released
High
Tomislav Plavcic
5.6
Fix Released
High
Tomislav Plavcic

Bug Description

After trying to upgrade packages on my Debian Wheezy, apt-get upgrade shows following info: percona-server-client-5.6 requires libperconaserverclient18.1 (>= 5.6.19-67.0-618.wheezy) but 5.6.17-66.0-608.wheezy is installed.

Running: apt-get -f install shows that:
- there was an error while processing /var/cache/apt/archives/libperconaserverclient18.1_5.6.19-67.0-618.wheezy_amd64.deb
- "/usr/lib/x86_64-linux-gnu/libmysqlclient.so.18.1.0", which exists in libmysqlclient18:amd64 5.6.19-1~dotdeb.1

I use dotdeb.org repo, perhaps there is a package conflict with this repo.

Tags: pkg Edit Tag help

Related branches

Oliver Meyer (o-meyer) wrote :

Same here:

[...]
Vorbereitung zum Ersetzen von libperconaserverclient18.1 5.6.17-66.0-608.wheezy (durch .../libperconaserverclient18.1_5.6.19-67.0-618.wheezy_amd64.deb) ...
Ersatz für libperconaserverclient18.1 wird entpackt ...
dpkg: Fehler beim Bearbeiten von /var/cache/apt/archives/libperconaserverclient18.1_5.6.19-67.0-618.wheezy_amd64.deb (--unpack):
 Versuch, »/usr/lib/x86_64-linux-gnu/libmysqlclient.so.18.1.0« zu überschreiben, welches auch in Paket libmysqlclient18:amd64 5.6.19-1~dotdeb.1 ist
Fehler traten auf beim Bearbeiten von:
 /var/cache/apt/archives/libperconaserverclient18.1_5.6.19-67.0-618.wheezy_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

tags: added: pkg
Jericho Rivera (jericho-rivera) wrote :

mysql> show global variables like '%version%';
+-------------------------+--------------------------------------------------+
| Variable_name | Value |
+-------------------------+--------------------------------------------------+
| innodb_version | 5.6.19-67.0 |
| protocol_version | 10 |
| slave_type_conversions | |
| version | 5.6.19-67.0 |
| version_comment | Percona Server (GPL), Release 67.0, Revision 618 |
| version_compile_machine | x86_64 |
| version_compile_os | debian-linux-gnu |
+-------------------------+--------------------------------------------------+
7 rows in set (0.00 sec)

mysql> \q
Bye
root@jrivera:/# cat /etc/apt/sources.list.d/percona.list
deb http://repo.percona.com/apt wheezy main
deb-src http://repo.percona.com/apt wheezy main

root@jrivera:/# uname -a
Linux jrivera 3.2.0-4-amd64 #1 SMP Debian 3.2.57-3+deb7u2 x86_64 GNU/Linux

Jericho Rivera (jericho-rivera) wrote :

@Pawel/Oliver, can you give us more information about exact repository used to upgrade PS? setting the status to incomplete while waiting for the info we requested.

Danila Tarasov (grohotun) wrote :

Hello.
I have same problem.

Here is an output

Preparing to replace libperconaserverclient18.1 5.6.17-66.0-608.wheezy (using .../libperconaserverclient18.1_5.6.19-67.0-618.wheezy_amd64.deb) ...
Unpacking replacement libperconaserverclient18.1 ...
dpkg: error processing /var/cache/apt/archives/libperconaserverclient18.1_5.6.19-67.0-618.wheezy_amd64.deb (--unpack):
 trying to overwrite '/usr/lib/x86_64-linux-gnu/libmysqlclient.so.18.1.0', which is also in package libmysqlclient18:amd64 5.6.19-1~dotdeb.1
Errors were encountered while processing:
 /var/cache/apt/archives/libperconaserverclient18.1_5.6.19-67.0-618.wheezy_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Dmitry Osipenkov (osdmit) wrote :

Same problem.

My sources.list:

deb http://ftp.de.debian.org/debian stable main contrib non-free
deb-src http://ftp.de.debian.org/debian stable main contrib non-free

deb http://ftp.debian.org/debian/ wheezy-updates main contrib non-free
deb-src http://ftp.debian.org/debian/ wheezy-updates main contrib non-free

deb http://security.debian.org/ wheezy/updates main contrib non-free
deb-src http://security.debian.org/ wheezy/updates main contrib non-free

deb http://repo.percona.com/apt wheezy main
deb-src http://repo.percona.com/apt wheezy main

deb http://packages.dotdeb.org wheezy all
deb-src http://packages.dotdeb.org wheezy all

deb http://nginx.org/packages/debian/ wheezy nginx
deb-src http://nginx.org/packages/debian/ wheezy nginx

Stefan Schlesinger (sts-2) wrote :
Download full text (3.2 KiB)

Why does libperconaserverclient18 package metadata not include a Provides-field with libmysqlcient18?

   Provides: libmysqlclient18

That would probably fix this issue (and I think we had that issue before) and libmysqlclient18.1 seems to do this right:

aptitude show libperconaserverclient18 :(
Package: libperconaserverclient18
New: yes
State: not installed
Version: 5.5.37-rel35.1-666.wheezy
Priority: extra
Section: libs
Maintainer: Percona Server Development Team <email address hidden>
Architecture: amd64
Uncompressed Size: 3,078 k
Depends: percona-server-common-5.5, libc6 (>= 2.4), libgcc1 (>= 1:4.1.1), libssl1.0.0 (>= 1.0.0), libstdc++6 (>= 4.1.1), zlib1g (>= 1:1.1.4)
Replaces: libpercona-server-client16
Description: Percona Server database client library
 Percona Server is a fast, stable and true multi-user, multi-threaded SQL database server. SQL (Structured Query Language) is the most popular database query language in the world. The
 main goals of Percona Server are speed, robustness and ease of use.

 This package includes the client library.
Homepage: http://www.percona.com/software/percona-server/

------

aptitude show libmysqlclient18.1

Package: libmysqlclient18.1
New: yes
State: not installed
Version: 5.6.15-25.5-759.wheezy
Priority: extra
Section: libs
Maintainer: Percona Server Development Team <email address hidden>
Architecture: amd64
Uncompressed Size: 3,537 k
Replaces: libpercona-server-client18
Provides: libmysqlclient18
Description: Percona XtraDB Cluster database client library
 Percona XtraDB Cluster is based on the Percona Server database server and provides a High Availability solution. Percona XtraDB Cluster provides synchronous replication, supports
 multi-master replication, parallel applying on slaves, automatic node provisioning with primary focus on data consistency.

 This package includes the client library.
Homepage: http://www.percona.com/software/percona-xtradb-cluster/

Other packages such as php5-mysql depend on libmysqlclient18

aptitude show php5-mysql :(
Package: php5-mysql
State: not installed
Version: 5.4.30-1~dotdeb.1
Priority: optional
Section: php
Maintainer: Guillaume Plessis <email address hidden>
Architecture: amd64
Uncompressed Size: 276 k
Depends: libc6 (>= 2.4), libmysqlclient18 (>= 5.5.24+dfsg-1), zlib1g (>= 1:1.1.4), phpapi-20100525, php5-common (= 5.4.30-1~dotdeb.1), ucf
PreDepends: dpkg (>= 1.15.7.2~)
Conflicts: php5-mysqli, php5-mysqlnd
Replaces: php5-mysqli, php5-mysqlnd
Description: MySQL module for php5
 This package provides modules for MySQL database connections directly from PHP scripts. It includes the generic "mysql" module which can be used to connect to all versions of MySQL,
 an improved "mysqli" module for MySQL version 4.1 or later, and the pdo_mysql module for use with the PHP Data Object extension.

 PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used open source general-purpose scripting language that is espec...

Read more...

Oliver Meyer (o-meyer) wrote :

@Jericho, I attached the requested configuration files. Please let me know if you need further information.

Paweł Szajna (pszajna83) wrote :

My sources.list includes the following:

deb http://security.debian.org/ wheezy/updates main contrib non-free
deb-src http://security.debian.org/ wheezy/updates main contrib non-free

deb http://ftp.pl.debian.org/debian/ wheezy main contrib non-free
deb-src http://ftp.pl.debian.org/debian/ wheezy main contrib non-free

deb http://ftp.pl.debian.org/debian/ wheezy-updates main contrib non-free
deb-src http://ftp.pl.debian.org/debian/ wheezy-updates main contrib non-free

deb http://packages.dotdeb.org wheezy all
deb-src http://packages.dotdeb.org wheezy all

deb http://packages.dotdeb.org wheezy-php55 all
deb-src http://packages.dotdeb.org wheezy-php55 all

deb http://repo.percona.com/apt wheezy main
deb-src http://repo.percona.com/apt wheezy main

deb http://nginx.org/packages/debian/ wheezy nginx
deb-src http://nginx.org/packages/debian/ wheezy nginx

Tomislav Plavcic (tplavcic) wrote :

Confirmed that there is a conflict in that file. Since we cannot put conflict between those two packages the link in our package will probably need to be removed.
The problem cannot be reproduced with distribution repository but with repos that offer newer mysql libraries.

Stefan Schlesinger (sts-2) wrote :

Can we please get a fix for this soon? This basically breaks setting up new server for many people.

summary: - Debian Wheezy packages update error for version 5.6.19-67.0
+ Debian Wheezy packages update error for version 5.6.19-67.0 when using
+ dotdeb repo
Roel Van de Paar (roel11) wrote :

We're on it. Looking into the best way to fix this properly and quickly.

Tomislav Plavcic (tplavcic) wrote :

Can someone from reporters test the fix in our experimental repo?

You can enable it by adding following to the sources.list (replace VERSION with distribution name):
deb http://repo.percona.com/apt VERSION main experimental
deb-src http://repo.percona.com/apt VERSION main experimental

Paweł Szajna (pszajna83) wrote :

I can confirm that package from experimental repo fixed this issue in my case.

Renaud Drousies (renaudd) wrote :

I ran into the same problem, then re-attempted the upgrade using the experimental repo, and it went smoothly. Thanks!

MikeyH (mikeyh) wrote :

Same issue... resolved using experimental repo.

Roel Van de Paar (roel11) wrote :

@All, thanks for the testing
@Tomislav, good fix, thanks

MikeyH (mikeyh) wrote :

Thanks... when will this appear in the main repo?

Stefan Schlesinger (sts-2) wrote :

I just tested the new package from the experimental repository, it was installed without any errors (libraries are even included ;-).

Dane Elwell (dane-elwell) wrote :

Adding a "me too" comment - the experimental fix worked for me also.

Tomislav Plavcic (tplavcic) wrote :

This is released in the main repo so it should work from there also.

MikeyH (mikeyh) wrote :

Thanks... confirmed fixed in main repo.

Tomislav Plavcic (tplavcic) wrote :

This bug was introduced by including a symbolic link in our libperconaserverclient18.1 package to libmysqlclient18.1 library which is provided by the upstream package (from third party repos - dotdeb.org in this case) so there was a file conflict between two packages and no installation was possible. It was fixed by removing that link and updating libperconaserverclient18.1 debian packages in our repository.

Mikhail Zakharenko (zmichael) wrote :

same issue again in jessie :
Unpacking libmysqlclient18:amd64 (5.5.52-0+deb8u1) ...
dpkg: error processing archive /var/cache/apt/archives/libmysqlclient18_5.5.52-0+deb8u1_amd64.deb (--unpack):
 trying to overwrite '/usr/lib/x86_64-linux-gnu/libmysqlclient_r.so.18', which is also in package libperconaserverclient18.1 5.6.30-25.16-3.jessie

Tomislav Plavcic (tplavcic) wrote :

@zmichael
Your package libperconaserverclient18.1 5.6.30-25.16-3.jessie is from PXC and not PS.
The correct version for PS is libperconaserverclient18.1_5.6.30-76.3-1.jessie_amd64.deb.
The difference between PS and PXC packages is that PXC includes libmysqlclient (with _r symlinks) and PS libperconaserverclient so yes you might get a conflict if you try to use PXC package.

If you are using PXC you might want to open another bug for it (I'm not sure if there were some changes recently in PXC and PXC packaging might even work differently) but if you are using Percona Server then there was some mistake and you got the wrong version of package installed.

Percona now uses JIRA for bug reports so this bug report is migrated to: https://jira.percona.com/browse/PS-799

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments